%define anolis_release 2
%global srcname lz4
%bcond_with check
%bcond_with doc

Name:           python-%{srcname}
Version:        4.3.2
Release:        %{anolis_release}%{?dist}
URL:            https://github.com/%{name}/%{name}
Summary:        LZ4 Bindings for Python
License:        BSD
Source:         https://files.pythonhosted.org/packages/source/l/%{srcname}/%{srcname}-%{version}.tar.gz
# Reduce setuptools_scm dep to >= 6
Patch:          python-lz4-deps.patch

BuildRequires:  lz4-devel
BuildRequires:  python3-devel
BuildRequires:  gcc

%if %{with check}
# For tests
BuildRequires:  python3-psutil
BuildRequires:  python3-pytest-cov
%endif
%if %{with doc}
# For docs
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx-bootstrap-theme
%endif

%description
Python bindings for the lz4 compression library.


%package -n python3-lz4
Summary:        LZ4 Bindings for Python 3

%description -n python3-lz4
Python 3 bindings for the lz4 compression library.

%package -n python3-lz4-doc
Summary:        LZ4 Bindings for Python 3
Requires:	python3-lz4 = %{version}-%{release}

%description -n python3-lz4-doc

%prep
%autosetup -n %{srcname}-%{version} -p1

rm lz4libs/lz4*.[ch]

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files lz4
# Fix permissions on shared objects
find %{buildroot}%{python3_sitearch} -name 'lz4*.so' \
    -exec chmod 0755 {} \;

# Build HTML docs
%if %{with doc}
pushd docs
PYTHONPATH=$RPM_BUILD_ROOT%{python3_sitearch} make html
popd
mv docs/_build/html ./html
%endif

%if %{with check}
%check
%tox
%endif

%files -n python3-lz4 -f %{pyproject_files}
%license LICENSE

%files -n python3-lz4-doc
%doc README.rst 


%changelog
* Fri Mar 15 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 4.3.2-2
- Rebuild with python3.11

* Sat Mar 25 2023 happy_orange <songnannan@linux.alibaba.com> - 4.3.2-1
- init package from upstream
